Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class OWLIndividualImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.PropertyValueImpl
              edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLIndividualImpl

All Implemented Interfaces:
  Argument, AtomArgument, BuiltInArgument, IndividualArgument, OWLIndividual, OWLObject, OWLPropertyValue, ObjectValue, ResultValue, Comparable

    public class OWLIndividualImpl

extends PropertyValueImpl
implements OWLIndividual

Class representing an OWL individual.

Constructor Summary
`OWLIndividualImpl(OWLIndividual individual)` Constructor used when creating from an OWL individual.
`OWLIndividualImpl(OWLIndividual owlIndividual, OWLClass owlClass)` Constructor used when asserting new individual class membership information from an assertion made in a target rule engine.
`OWLIndividualImpl(OWLModel owlModel, String individualName)` Constructor used when creating an indiviudla from an individual name.
`OWLIndividualImpl(String individualName)` Constructor used when creating an individual to pass as an argument to a built-in or to return as an argument from a built-in.
`OWLIndividualImpl(String individualName, String prefixedIndividualName, OWLClass owlClass)` Constructor used when generating a new individual from a rule engine.

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object obj)`
`Set<OWLClass>` | `getDefiningClasses()`
`Set<OWLClass>` | `getDefiningEquivalentClasses()`
`Set<OWLClass>` | `getDefiningEquivalentClassSuperclasses()`
`Set<OWLClass>` | `getDefiningSuperclasses()`
`String` | `getIndividualName()`
`String` | `getPrefixedIndividualName()`
`String` | `getRepresentation()`
`Set<OWLIndividual>` | `getSameAsIndividuals()`
`int` | `hashCode()`
`String` | `toString()`
`void` | `write2OWL(OWLModel owlModel)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.BuiltInArgument
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Constructor Detail

### OWLIndividualImpl

    public OWLIndividualImpl(OWLIndividual individual)
                      throws OWLFactoryException

  Constructor used when creating from an OWL individual. We construct lists containing its direct defining classes, its indirect defining classes, and classes that are equivalent to the classes that define it. These names may be used by a rule engine to assert class membership information for individuals.

  Throws:
    `OWLFactoryException`

### OWLIndividualImpl

    public OWLIndividualImpl(OWLModel owlModel,
                             String individualName)
                      throws OWLFactoryException

  Constructor used when creating an indiviudla from an individual name. We construct lists containing its direct defining classes, its indirect defining classes, and classes that are equivalent to the classes that define it. These names may be used by a rule engine to assert class membership information for individuals.

  Throws:
    `OWLFactoryException`

### OWLIndividualImpl

    public OWLIndividualImpl(OWLIndividual owlIndividual,
                             OWLClass owlClass)

  Constructor used when asserting new individual class membership information from an assertion made in a target rule engine. Only the individual name and the class that it is asserted to be a member of is recorded.

### OWLIndividualImpl

    public OWLIndividualImpl(String individualName)

  Constructor used when creating an individual to pass as an argument to a built-in or to return as an argument from a built-in. Only the name of the individual is recorded.

### OWLIndividualImpl

    public OWLIndividualImpl(String individualName,
                             String prefixedIndividualName,
                             OWLClass owlClass)

  Constructor used when generating a new individual from a rule engine.

Method Detail

### getIndividualName

    public String getIndividualName()

  Specified by:
    `getIndividualName` in interface `IndividualArgument`
  Specified by:
    `getIndividualName` in interface `OWLIndividual`
  Specified by:
    `getIndividualName` in interface `ObjectValue`

### getPrefixedIndividualName

    public String getPrefixedIndividualName()

  Specified by:
    `getPrefixedIndividualName` in interface `OWLIndividual`
  Specified by:
    `getPrefixedIndividualName` in interface `ObjectValue`

### getDefiningClasses

    public Set<OWLClass> getDefiningClasses()

  Specified by:
    `getDefiningClasses` in interface `OWLIndividual`

### getDefiningSuperclasses

    public Set<OWLClass> getDefiningSuperclasses()

  Specified by:
    `getDefiningSuperclasses` in interface `OWLIndividual`

### getDefiningEquivalentClasses

    public Set<OWLClass> getDefiningEquivalentClasses()

  Specified by:
    `getDefiningEquivalentClasses` in interface `OWLIndividual`

### getDefiningEquivalentClassSuperclasses

    public Set<OWLClass> getDefiningEquivalentClassSuperclasses()

  Specified by:
    `getDefiningEquivalentClassSuperclasses` in interface `OWLIndividual`

### getSameAsIndividuals

    public Set<OWLIndividual> getSameAsIndividuals()

  Specified by:
    `getSameAsIndividuals` in interface `OWLIndividual`

### write2OWL

    public void write2OWL(OWLModel owlModel)
                   throws SWRLRuleEngineBridgeException

  Specified by:
    `write2OWL` in interface `OWLObject`
  Throws:
    `SWRLRuleEngineBridgeException`

### getRepresentation

    public String getRepresentation()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `BuiltInArgumentImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BuiltInArgumentImpl`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.